Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: perl(Socket6.pm)
# END SourceDeps(oneline)
%define fedora 38
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: thc-ipv6
Version: 3.8
Release: alt1_5
Summary: Toolkit for attacking the IPv6 protocol suite

License: AGPLv3 with exceptions
URL: https://github.com/vanhauser-thc/thc-ipv6
Source0: https://github.com/vanhauser-thc/thc-ipv6/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0: https://github.com/vanhauser-thc/thc-ipv6/commit/5dea4ce77dbff19c53c027229365fd5aad4570d3.patch#/thc-ipv6-3.8-socket.patch

BuildRequires: gcc
BuildRequires: libpcap-devel
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires: libssl-devel
%else
BuildRequires: openssl11-devel
%endif
BuildRequires: libnetfilter_queue-devel
BuildRequires: rpm-build-perl
Source44: import.info

%description
A complete tool set to attack the inherent protocol weaknesses of IPv6
and ICMPv6, including an easy to use packet factory library.

%prep
%setup -q
%patch0 -p1


%build
%if 0%{?rhel} == 7
OPENSSL_CFLAGS="$(pkg-config --cflags-only-I openssl11)"
OPENSSL_LDFLAGS="$(pkg-config --libs-only-L openssl11)"
%endif

%make_build \
  CFLAGS="%{optflags} $OPENSSL_CFLAGS -D_HAVE_SSL" \
  LDFLAGS="%{?__global_ldflags} $OPENSSL_LDFLAGS -lpcap -lssl -lcrypto"

%install
%makeinstall_std \
  PREFIX=%{_prefix} \
  STRIP=%{_bindir}/true

%files
%doc --no-dereference LICENSE LICENSE.OPENSSL
%doc CHANGES HOWTO-INJECT README
%{_bindir}/*
%{_mandir}/man8/*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 3.8-alt1_5
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 3.8-alt1_4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3.8-alt1_3
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 3.8-alt1_2
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 3.8-alt1_1
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3.4-alt2_11
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 3.4-alt2_10
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.4-alt2_8
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.4-alt2_7
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_7
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_6
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_5
- new version

